﻿unit LangConsts;

interface

var
  StrErrorOpeningTheIm ,   StrDownloadCompleted ,   StrAnErrorHasOccurre ,
     Str1NoInternetConn ,   Str2UpdateFileNot ,   Str3UserAbortedUpg ,
     StrNoUpgradeAvailable ,   StrDownloadProgress ,   StrDone ,   StrPleaseSelectValid ,
        StrPleaseSelectRefere ,   StrCamera ,   StrModel ,   StrCopyrightfree,
         StrICCProfileFile ,   StrSaveProfile ,   StrICCProfileSavedTo ,
         StrERRORExtractingRGB ,   StrERRORPleaseMakeS ,   StrUnableToRunProgra ,
           StrNoImageToProcess,   StrPleaseSaveTheImag ,   StrNotEnoughSpaceOn ,
            StrMBRequiredMinimum ,   StrCoCaWorksWithALi ,   StrColorChecker ,
              StrHutchColorHC ,   StrCMPColorChecker, StrChristopheMé ,   StrChristopheMét , StrChristopheMéte,
               StrLaserSoftDCP ,   StrIT87Recomm ,   StrQPcard201 ,   StrGenericReferenceFi ,
                  StrMakeSureThatYouH ,   StrUseTheSliderToAd ,   StrIfTheTargetImage ,
                     StrSelectReferenceFil ,   StrGenericReferenceFil , Form2Title,
                      StrForAllOtherTarget ,   StrSelectTheCorrectT ,  StrQPcard202,
                       StrThisInformationIs , StrDifferentAlgorithms , StrPleaseSelectValid2,
                         StrHigherQualitySetti , StrAccordongToArgyll, StrColorCheckSG,
                         StrDarkAreas, StrWPAdjust, StrLaserSoftAdv: string;
procedure LanguageChanged;

implementation

uses
  plsLangMan, coca_main, sysUtils;

procedure LanguageChanged;
var
 lang_index: integer;

begin

if languageManager.LanguageCode='en' then
      lang_index:=0 else
   if languageManager.LanguageCode='cs' then
      lang_index:=1 else
   if languageManager.LanguageCode='pl' then
      lang_index:=2 else
     if languageManager.LanguageCode='fr' then
      lang_index:=3 else
       if languageManager.LanguageCode='sk' then
         lang_index:=4 else
         if languageManager.LanguageCode='de' then
         lang_index:=5 else
          if languageManager.LanguageCode='in' then
           lang_index:=6 else
           if languageManager.LanguageCode='es' then
            lang_index:=7 else
              lang_index:=0;

  StrCamera := 'Camera';
  StrModel := 'Model';
  StrCopyrightfree := 'Copyright_free';

  StrColorCheckSG :=   '     * Xrite ColorCheckerSG';
  StrCMPColorChecker :='     * www.cmp-color.fr - CMP Checker';
  StrChristopheMé :=   '     * www.cmp-color.fr - Digital TargeT 003';
  StrChristopheMét :=  '     * www.cmp-color.fr - Digital Target-3';
  StrChristopheMéte := '     * www.cmp-color.fr - Digital Target-4';
  StrHutchColorHC :=   '     * HutchColor HCT';
  StrLaserSoftDCP :=   '     * LaserSoft DCPro';
  StrQPcard201 :=      '     * QPcard 201';
  StrQPcard202 :=      '     * QPcard 202/203';
  StrLaserSoftAdv :=   '     * LaserSoft Advanced 864 patch';

case lang_index of
0: begin //ENGLISH
  Form2Title:= 'CoCa Preview';
  StrErrorOpeningTheIm := 'Error opening the image.';
  StrDownloadCompleted := 'Download completed. Press OK to start the installation process.';
  StrAnErrorHasOccurre := 'An error has occurred on upgrading. Possible reasons:';
  Str1NoInternetConn := ' 1. No Internet connection or connection lost.';
  Str2UpdateFileNot := ' 2. Update file not found.';
  Str3UserAbortedUpg := ' 3. User aborted upgrade.';
  StrNoUpgradeAvailable := 'No upgrade available.';
  StrDownloadProgress := 'Download Progress: ';
  StrDone := '% done...';
  StrPleaseSelectValid := 'Please select valid target image.';
  StrPleaseSelectRefere := 'Please select reference file.';
  StrICCProfileFile := 'ICC Profile File (*.icm)|*.icm';
  StrSaveProfile := 'Save Profile';
  StrICCProfileSavedTo := 'ICC Profile saved to:';
  StrERRORExtractingRGB := 'ERROR extracting RGB values. Cannot continue. Check if the target type selection is correct.';
  StrERRORPleaseMakeS := 'ERROR! Please make sure that the user have sufficient rights to process the image file in the current folder or the folder is not read-only.';
  StrUnableToRunProgra := 'Unable to run program.';
  StrNoImageToProcess := 'No image to view';
  StrPleaseSaveTheImag := 'Please save the image.';
  StrNotEnoughSpaceOn := 'Not enough space on the disk. Free space: ';
  StrMBRequiredMinimum := 'MB. Required minimum space: ';
  StrCoCaWorksWithALi := 'CoCa works with a limited number of targets. Currently, it accepts only the following charts:';
  StrColorChecker := '     * Xrite ColorChecker (24 patches)';
  StrIT87Recomm := '     * IT8.7';
  StrGenericReferenceFi := 'Generic reference files are available for Xrite ColorChecker and QPcard, other references should be available on the manufacturer''s web site.';
  StrMakeSureThatYouH := 'Make sure that you have image of the intended target and it is correctly cropped and positioned.';
  StrUseTheSliderToAd := 'Use to adjust the White Point. Resulting profile will produce slightly lighter (if value is below 1.0) or darker (above 1.0) images.'+#13#10#10+#13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
  StrIfTheTargetImage := 'If the target image has a perspective distortion, tick the box for CoCa to attempt to automatically correct it.'+#13#10#10+
                           'Default gamma is 2.2. Use gamma 1.0 for images with linear gamma (e.g. converted from RAW with linear option) .';
  StrSelectReferenceFil := 'Select Reference File';
  StrGenericReferenceFil := 'Generic reference files are available only for Xrite ColorChecker 24-patch target and QPcards.';
  StrForAllOtherTarget := 'For all other targets, select file that came with the target or try finding the corresponding file on the manufacturer''s web site.';
  StrSelectTheCorrectT := 'Select correct target type from the list. CoCa needs it for creating a valid profile.';
  StrThisInformationIs := 'This information is important as it describes the ' +
                           'profile and some programs (like Photoshop) use it for identification.';
  StrDifferentAlgorithms := 'Different algorithms work better for different devices. Gamma+Matrix seems to work best for digital cameras.'+#13#10#10+
                            'Higher quality settings result in better profile. However, creating a profile takes longer and it is larger.';
  StrAccordongToArgyll := ' According to Argyll documentation, "Ultra High" quality should almost never be used.';
  Form1.qualList.Items.Strings[0]:='Low';
  Form1.qualList.Items.Strings[1]:='Medium';
  Form1.qualList.Items.Strings[2]:='High';
  Form1.qualList.Items.Strings[3]:='Ultra High';
  StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';


  //Form_adv.dontGroup.Items.Strings[0]:='//INPUT (Device) Shaper Curves';
 // Form_adv.dontGroup.Items.Strings[1]:='//INPUT (Device) Grid Position Curves';
//  Form_adv.dontGroup.Items.Strings[2]:='//OUTPUT (PCS) Shaper Curves';

  help_file:=pth+'help\coca.html';

end;

1: begin  //CZECH
  StrErrorOpeningTheIm :='Chyba pøi otevírání obrázku.';
  StrDownloadCompleted := 'Stahování dokonèeno. Stisknìte OK a spustí se instalace.';
  StrAnErrorHasOccurre := 'Došlo k chybì pøi aktualizaci. Možné pøíèiny: ';
  Str1NoInternetConn :=' 1. Není pøipojení k internetu nebo bylo spojení ztraceno. ';
  Str2UpdateFileNot :=' 2. Aktualizaèní soubor nebyl nalezen. ';
  Str3UserAbortedUpg :=' 3. Uživatel pøerušil aktualizaci. ';
  StrNoUpgradeAvailable :='Aktualizace není k dispozici.';
  StrDownloadProgress :='Prùbìh stahování:';
  StrDone :='% hotovo ...';
  StrPleaseSelectValid :='Vyberte prosím správný obrázek tabulky.';
  StrPleaseSelectRefere :='Vyberte prosím referenèní soubor.';
  StrICCProfileFile := 'Souboru ICC profilu (*. ICM) | *. ICM';
  StrSaveProfile := 'Uložte profil';
  StrICCProfileSavedTo := 'ICC profil uložen do: ';
  StrERRORExtractingRGB := 'CHYBA pøi naèítání RGB hodnot. Nelze pokraèovat. Zkontrolujte, zda je vybrán správný typ tabulky.';
  StrERRORPleaseMakeS := 'CHYBA! Ujistìte se prosím, že uživatel má dostateèná práva k práci s obrazovým souborem tabulky v aktuální složce, nebo že složka není urèena jen ke ètení.';
  StrUnableToRunProgra := 'Nelze spustit program.';
  StrNoImageToProcess := 'Žádný obrázek k prohlédnutí';
  StrPleaseSaveTheImag := 'Uložte prosím obrázek.';
  StrNotEnoughSpaceOn := 'Na disku není dostatek místa. Volné místo: ';
  StrMBRequiredMinimum := 'MB. Potøebný minimální prostor: ';
  StrCoCaWorksWithALi := 'CoCa pracuje s omezeným poètem typù tabulek. V souèasné dobì lze použít pouze tyto tabulky: ';
  StrColorChecker := '     * ColorChecker (24 polí)';
  StrIT87Recomm := '     * IT8.7';
  StrGenericReferenceFi := 'Generické referenèní soubory jsou k dispozici pro Xrite ColorChecker a QPcard, další data by mìla být k dispozici na webových stránkách výrobce.';
  StrMakeSureThatYouH := 'Ujistìte se, že máte obrázek vybrané tabulky a že tabulka je správnì oøíznutá a umístìná. ';
  StrUseTheSliderToAd := 'Použijte k nastavení bílého bodu. Výsledný profil bude vytváøet obrázky o nìco svìtlejší (je-li hodnota menší než 1,0) nebo tmavší (nad 1,0).'+#13#10#10+#13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
  StrIfTheTargetImage := 'Má-li obrázek tabulky perspektivní zkreslení, zaškrtnìte toto políèko. CoCa se pokusí zkreslení automaticky opravit. '+#13#10#10+
                                  'Default gamma is 2.2. Use gamma 1.0 for images with linear gamma (e.g. converted from RAW with linear option) .';
  StrSelectReferenceFil := 'Vyberte referenèní soubor';
  StrGenericReferenceFil := 'Generické referenèní soubory jsou k dispozici pouze pro tabulky Xrite ColorChecker (24 polí) a QPcard. ';
  StrForAllOtherTarget := 'Pro všechny ostatní tabulky použijte soubor, který byl dodán s tabulkou, nebo zkuste nalézt odpovídající soubor na webových stránkách výrobce. ';
  StrSelectTheCorrectT := 'Vyberte správný typ tabulky ze seznamu. CoCa ho potøebuje pro vytvoøení funkèního profilu. ';
  StrThisInformationIs :='Tato informace je dùležitá, protože popisuje profil a nìkteré programy (napø. Photoshop) ji používají pro identifikaci.';
  StrDifferentAlgorithms :='Rùzné algoritmy pracují lépe pro rùzná zaøízení. Vyzkoušení tìchto alternativ mùže být prospìšné.'+#13#10#10+
                           'Nastavení vyšší kvality vede k lepšímu profilu. Vytvoøení profilu však trvá déle a profil je vìtší.';
  StrAccordongToArgyll := 'Podle dokumentace Argyll se "Velmi vysoká" kvalita nedá témìø nikdy použít. ';

  Form1.qualList.Items.Strings[0]:='Nízká';
  Form1.qualList.Items.Strings[1]:='Støední';
  Form1.qualList.Items.Strings[2]:='Vysoká';
  Form1.qualList.Items.Strings[3]:='Velmi vysoká';

  StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';


  if FileExists(pth+'help\coca_cs.html') then
    help_file:=pth+'help\coca_cs.html'
    else
      help_file:=pth+'help\coca.html';

end;

2: begin  //POLISH
  Form2Title:= 'CoCa Podgl¹d';
  StrErrorOpeningTheIm := 'B³¹d otwarcia obrazu.';
  StrDownloadCompleted := 'Pobieranie zakoñczone. Kliknij OK aby rozpocz¹æ instalacjê.';
  StrAnErrorHasOccurre := 'B³¹d w czasie uaktualniania.'#13#10'Mo¿liwe powody:'#13#10;
  Str1NoInternetConn := ' 1. Brak po³¹czenia internetowego lub jego przerwanie'#13#10;
  Str2UpdateFileNot := ' 2. Nie znaleziono pliku'#13#10;
  Str3UserAbortedUpg := ' 3. U¿ytkownik przerwa³ uaktualnianie.';
  StrNoUpgradeAvailable := ' Nie znaleziono nowszej wersji';
  StrDownloadProgress := 'Progres uaktualniania: ';
  StrDone := '% ukoñczone...';
  StrPleaseSelectValid := 'Proszê wybraæ wa¿ny obraz wzornika.';
  StrPleaseSelectRefere := 'Proszê wybraæ plik referencyjny.';
  StrICCProfileFile := 'Pliki ICC Profil (*.icm)|*.icm';
  StrSaveProfile := 'Zachowaj Profil';
  StrICCProfileSavedTo := 'ICC Profil zapisany do: ';
  StrERRORExtractingRGB := 'B£¥D pobierania wartoœci RGB. SprawdŸ czy typ wzornika jest w³aœciwie wybrany.';
  StrERRORPleaseMakeS := 'B£¥D! Upewnij siê ¿e u¿ytkownik ma wystarczaj¹ce uprawnienia w bie¿¹cym folderze i folder nie jest tylko do czytania.';
  StrUnableToRunProgra := 'Nie mogê uruchomiæ programu';
  StrNoImageToProcess := 'Brak obrazu';
  StrPleaseSaveTheImag := 'Proszê zapisaæ obraz';
  StrNotEnoughSpaceOn :='Nie wystarczaj¹co miejsca na dysku. Wolna miejsce: ';
  StrMBRequiredMinimum := 'MB. Wymagane minimalne miejsce: ';
  StrCoCaWorksWithALi := 'CoCa dzia³a z ograniczon¹ iloœci¹ wzorników. W chwili obecnej pracuje z nastêpuj¹cymi wzornikami: ';
  StrIT87Recomm := '     * IT8.7';
  StrColorChecker := '     * Xrite ColorChecker (24 patches)';
  StrGenericReferenceFi :=' Ogólne pliki referencyjne s¹ dostêpne tylko dla Xrite ColorChecker i QPcard, inne pliki powinny byæ dostêpne na stronach wytwórców.';
  StrMakeSureThatYouH := 'Upewnij siê, ¿e obraz wzornika zosta³ prawid³owo przyciêty i umieszczony. ';
  StrUseTheSliderToAd := 'Tutaj mo¿na ustawiæ punkt bieli. Profil bêdzie produkowaæ nieco jaœniejszy (je¿eli wartoœæ jest ni¿sza ni¿ 1,0) lub ciemniejszy (powy¿ej 1,0) obraz.'+#13#10#10+#13#10#10+
                         'Ponizej mo¿na ustawiæ ciemne miejsca (-V demphasis. 1.00 means off).';
  StrIfTheTargetImage := 'Jeœli obraz wzornika ma zniekszta³cenia perspektywy, zaznacz pole. CoCa spróbuje to automatycznie poprawiæ.'+#13#10#10+
                           'U¿yj gammê 2,2 dla normalnych obrazów. Dla obrazów, które maj¹ linearn¹ gammê u¿yj gammê 1,0 (np. RAW konwertowane z tak¹ opcj¹).';

  StrSelectReferenceFil := 'Wybierz plik referencyjny';
  StrGenericReferenceFil := 'Ogólne pliki referencyjne s¹ dostêpne tylko dla wzorników Xrite ColorChecker-24 i QPcard.';
  StrForAllOtherTarget := 'Dla wszystkich innych wzorników, wybierz plik, który by³ do³¹czony do wzornika lub spróbuj znaleŸæ odpowiedni plik na stronie internetowej wytwórcy.';
  StrSelectTheCorrectT := 'Wybierz typ wzornika z listy. CoCa potrzebuje w³aœciwy typ do tworzenia wa¿nych profili.';
  StrThisInformationIs := 'Informacja ta jest wa¿na, gdy¿ opisuje profil i niektóre programy (np. Photoshop) u¿ywaj¹ jej do identyfikacji profilu.';
  StrDifferentAlgorithms := 'Ró¿ne algorytmy dzia³aj¹ inaczej dla ró¿nych urz¹dzeñ. Gamma+matrix jest prawdopodobnie najlepszy dla kamer cyfrowych.'+#13#10#10+
                            'Wy¿sza jakoœæ ustawienia produkuje lepszy profil. Tworzenie profilu trwa jednak d³u¿ej i jest on wiêkszy.';
  StrAccordongToArgyll := ' Wed³ug dokumentacji Argyll, jakoœæ "Bardzo wysoka" prawie nigdy nie powinna byæ stosowana.';

    Form1.qualList.Items.Strings[0]:='Niska';
  Form1.qualList.Items.Strings[1]:='Œrednia';
  Form1.qualList.Items.Strings[2]:='Wysoka';
  Form1.qualList.Items.Strings[3]:='Bardzo wysoka';

  StrDarkAreas:= 'Korekta Emfazy Cieni poza dopuszczalnymi parametrami. Powrót do 1.00';
  StrWPAdjust:= 'Ustawienia Punktu Bieli poza dopuszczalnymi parametrami. Powrót do 1.00';

  if FileExists(pth+'help\coca_pl.html') then
    help_file:=pth+'help\coca_pl.html'
    else
      help_file:=pth+'help\coca.html';

end;

3: begin  //FRENCH
  Form2Title:= 'CoCa prévisualisation';
  StrErrorOpeningTheIm :='Erreur à l’ouverture de l’image';
  StrDownloadCompleted :='Téléchargement terminé. Appuyez sur OK pour démarrer l’installation';
  StrAnErrorHasOccurre :='Une erreur est survenue pendant la mise à jour. Raisons possible :';
  Str1NoInternetConn :='    1. Pas de connexion internet';
  Str2UpdateFileNot :='    2. Fichier de mise à jour non trouvé';
  Str3UserAbortedUpg :='    3. Vous avez annulé la mise à jour';
  StrNoUpgradeAvailable :='Pas de mise à jour disponible';
  StrDownloadProgress :='Progression du téléchargement';
  StrDone :='% téléchargé';
  StrPleaseSelectValid :='Merci de choisir une image valide de la mire';
  StrPleaseSelectRefere :='Merci de choisir un fichier de référence';
  StrICCProfileFile :='Fichier du profil ICC (*.icm)|*.icm';
  StrSaveProfile :='Enregistrer le profil';
  StrICCProfileSavedTo :='Profil ICC enregistré sous :';
  StrERRORExtractingRGB :='ERREUR pendant l’extraction des valeurs RVB, impossible de continuer. Merci de vérifier si vous avez choisi le bon type de mire.';
  StrERRORPleaseMakeS :='ERREUR ! Merci de vérifier que vous avez des droits suffisants pour enregistrer vos fichiers dans le répertoire cible.';
  StrUnableToRunProgra :='Impossible de lancer le programme';
  StrNoImageToProcess :='Pas d’image à visualiser';
  StrPleaseSaveTheImag :='Merci d’enregistrer l’image';
  StrNotEnoughSpaceOn :='Pas assez d’espace libre sur le support. Espace libre:';
  StrMBRequiredMinimum :='MB. Espace minimum nécessaire :';
  StrCoCaWorksWithALi :='CoCa ne fonctionne qu’avec un nombre limité de mires. Les mires compatibles sont :';
  StrIT87Recomm :='     * IT8.7';
  StrColorChecker := '     * Xrite ColorChecker (24 patches)';
  StrGenericReferenceFi :='Des fichiers de référence génériques sont disponibles pour la Xrite ColorChecker et la QPcard 201, les autres fichiers de référence sont à se procurer auprès des fabricants.';
  StrMakeSureThatYouH :='Merci de vérifier que votre fichier image de la mire est correctement recadré et positionné.';
  StrUseTheSliderToAd :='Utilisez ce réglage si votre image source n’est pas correctement exposée.'+#13#10+#13#10+
     '  - valeur inférieure à 1 : image résultante plus claire'+#13#10+
     '  - valeur supérieure à 1 : image résultante plus sombre '+#13#10#10+ #13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
  StrIfTheTargetImage :='Si l’image cible présente une distorsion légère (perspective), cochez cette case pour que CoCa corrige cette distorsion.'+#13#10#10+
                                  'Default gamma is 2.2. Use gamma 1.0 for images with linear gamma (e.g. converted from RAW with linear option) .';
  StrSelectReferenceFil :='Choisir un fichier de référence';
  StrGenericReferenceFil :='Les fichiers de référence génériques sont uniquement disponibles pour la Xrite ColorChecker et la QPcard.';
  StrForAllOtherTarget :='Pour les autres mires, merci de choisir le fichier fourni avec la mire (fichier Lab).';
  StrSelectTheCorrectT :='Sélectionnez la mire que vous utilisez pour créer les profils ICC.';
  StrThisInformationIs :='Cette information est importante car c’est le nom interne du profil et certains programmes comme photoshop utilisent ce nom pour identifier le profil.';
  StrDifferentAlgorithms :='Ces différents modes de calcul donnent des résultats différents selon les périphériques utilisés. Gamma+Matrix donne de bons résultats avec les APN.'+#13#10#10+
                              'Haute qualité donne de meilleurs profils ICC.  La création nécessite plus de temps et les profils prennent plus de place.';
  StrAccordongToArgyll :='Selon la documentation Argyll, « Ultra haute qualité » ne devrait jamais être utilisé.';

    Form1.qualList.Items.Strings[0]:='Basse';
  Form1.qualList.Items.Strings[1]:='Moyenne';
  Form1.qualList.Items.Strings[2]:='Haute';
  Form1.qualList.Items.Strings[3]:='Ultra haute';

  StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';

  if FileExists(pth+'help\coca_fr.html') then
    help_file:=pth+'help\coca_fr.html'
    else
      help_file:=pth+'help\coca.html';

end;

4: begin //SLOVAK
  if FileExists(pth+'help\coca_sk.html') then
    help_file:=pth+'help\coca_sk.html'
    else
      help_file:=pth+'help\coca.html';

   end;

5: begin //GERMAN
  if FileExists(pth+'help\coca_de.html') then
    help_file:=pth+'help\coca_de.html'
    else
      help_file:=pth+'help\coca.html';

  Form2Title:= 'CoCa Vorschau';
  StrErrorOpeningTheIm := 'Fehler beim Öffnen des Bildes.';
  StrDownloadCompleted := 'Download komplett. OK drücken, um Installation zu starten.';
  StrAnErrorHasOccurre := 'Fehler beim Aktualisieren aufgetreten. Mögliche Ursachen:';
  Str1NoInternetConn := ' 1. Keine Internetverbindung oder Verbindnung unterbrochen.';
  Str2UpdateFileNot := ' 2. Aktualisierungsdatei nicht gefunden.';
  Str3UserAbortedUpg := ' 3. Benutzer hat Aktualisierung abgebrochen.';
  StrNoUpgradeAvailable := 'Kein Update vorhanden.';
  StrDownloadProgress := 'Download-Fortschritt: ';
  StrDone := '% übertragen...';
  StrPleaseSelectValid := 'Bitte gültiges Vorlagenbild wählen.';
  StrPleaseSelectRefere := 'Bitte Referenzdatei wählen.';
  StrICCProfileFile := 'ICC Profildatei (*.icm)| *.icm';
  StrSaveProfile := 'Profil speichern';
  StrICCProfileSavedTo := 'ICC Profil gespeichert nach:';
  StrERRORExtractingRGB := 'FEHLER beim Extrahieren der RGB-Werte. Vorgang abgebrochen. Bitte prüfen, ob der korrekte Vorlagentyp gewählt wurde.';
  StrERRORPleaseMakeS := 'FEHLER! Bitte das aktuelle Verzeichnis bezgl. Schreibschutz und ausreichender Benutzerrechte zur Verarbeitung des IT8 Bildes prüfen.';
  StrUnableToRunProgra := 'Programmausführung nicht möglich.';
  StrNoImageToProcess := 'Kein Bild für Anzeige.';
  StrPleaseSaveTheImag := 'Bitte Bild speichern.';
  StrNotEnoughSpaceOn := 'Nicht genügend Plattenspeicher vorhanden. Freier Platz: ';
  StrMBRequiredMinimum := 'MB. Minimal benötigter Platz: ';
  StrCoCaWorksWithALi := 'CoCa arbeitet mit einer begrenzten Anzahl von Vorlagentypen. Aktuell werden nur folgende Vorlagen zugelassen:';
  StrColorChecker := '     * Xrite ColorChecker (24 Felder)';
  StrIT87Recomm := '     * IT8.7 (Nur für Scanner empfohlen)';
  StrGenericReferenceFi := 'Generische Referenzdateien sind verfügbar für Xrite ColorChecker und QPcard, andere Referencedateien sollten auf den Webseiten der Hersteller verfügbar sein.';
  StrMakeSureThatYouH := 'Bitte sicherstellen, dass ein Bild der verwendeten Vorlage vorhanden ist, welches korrekt zugeschnitten und positioniert ist.';
  StrUseTheSliderToAd := 'Einstellen des Weißpunktes. Resultierendes Profil wird geringfügig hellere (Wert unter 1.0) oder dunklere (Wert über 1.0) Bilder erzeugen.'+#13#10#10+#13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
  StrIfTheTargetImage := 'Weist das Vorlagenbild eine Ansichtsverzerrung auf, bezogene Option aktivieren, damit CoCa versucht dies automatisch zu korrigieren.';
  StrSelectReferenceFil := 'Referenzdatei wählen';
  StrGenericReferenceFil := 'Generische Referenzdateien sind verfügbar für Xrite ColorChecker 24-Felder und QPcard 201.';
  StrForAllOtherTarget := 'Für alle anderen Vorlagentypen, bitte Referenzdatei verwenden, die mit der Vorlage geliefert wurde oder eine entsprechende Datei von der Webseite der Hersteller herunterladen.';
  StrSelectTheCorrectT := 'Bitte korrekten Vorlagetyp aus der Liste wählen. Dies wird von CoCa zur Generierung eines nutzbaren Profils benötigt.';
  StrThisInformationIs := 'Diese Informationen sind wichtig, denn sie beschreiben das Profil' +
                      'und einige Programme (wie Photoshop) nutzen sie zur Identifikation.';
  StrDifferentAlgorithms := 'Einige Algorithmen sind besser für bestimmte Geräte nutzbar als andere. Gamma+Matrix bspw. scheint für Digitalkameras am besten zu funktionieren'+#13#10#10+
                            'Höhere Qualitäts-Einstellungen erzeugen genauere Profile. Die Erstellung solcher Profile dauert allerdings länger und sie sind deutlich größer.';
  StrAccordongToArgyll := 'Bezogen auf die Argyll Dokumentation, sollte die Qualität "Sehr hoch" im Grunde nie genutzt werden.';

  Form1.qualList.Items.Strings[0]:='Gering';
  Form1.qualList.Items.Strings[1]:='Mittel';
  Form1.qualList.Items.Strings[2]:='Hoch';
  Form1.qualList.Items.Strings[3]:='Sehr hoch';

  StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';


end;


6: begin //INDONESIAN
   Form2Title:='Tampilan Awal Aplikasi CoCa';
   StrErrorOpeningTheIm:='Gagal menampilkan gambar.';
   StrDownloadCompleted:='Proses unggah lengkap. Tekan OK untuk memulai proses instalasi.';
   StrAnErrorHasOccurre:='Gagal melakukan proses upgrade dikarenakan oleh beberapa alasan berikut :';
   Str1NoInternetConn:='1. Tidak tersedia jaringan internet atau hilangnya koneksi jaringan.';
   Str2UpdateFileNot:='2. File update tidak ditemukan.';
   Str3UserAbortedUpg:='3. Proses upgrade dibatalkan pengguna.';
   StrNoUpgradeAvailable:='Tidak tersedia fasilitas upgrade.';
   StrDownloadProgress:='Perkembangan proses unduh:';
   StrDone:='% selesai …';
   StrPleaseSelectValid:='Silahkan pilih target gambar yang sesuai.';
   StrPleaseSelectRefere:='Silahkan pilih file referensi.';
   StrICCProfileFile:='Profile file ICC (*.icm) | *.icm';
   StrSaveProfile:='Simpan Profil Gambar';
   StrICCProfileSavedTo:='Profile ICC disimpan pada:';
   StrERRORExtractingRGB:='GAGAL menampilkan nilai RGB. Tidak bisa dilanjutkan. Periksa kembali jika target yang dipilih sudah benar.';
   StrERRORPleaseMakeS:='GAGAL! Silahkan periksa jika pengguna memiliki hak untuk melakukan proses gambar pada folder saat ini atau tidak memiliki format yang tidak bisa dibaca/ not read-only.';
   StrUnableToRunProgra:='Tidak bisa menjalankan program.';
   StrNoImageToProcess:='Tidak ada gambar yang ditampilkan.';
   StrPleaseSaveTheImag:='Silahkan simpan gambar.';
   StrNotEnoughSpaceOn:='Tidak cukup ruang yang tersedia pada hard disk. Ruang yang tersedia:';
   StrMBRequiredMinimum:='MB. Ruang minimum yang diperlukan : ';
   StrCoCaWorksWithALi:='CoCa bekerja dengan target nomor yang terbatas. Saat ini hanya menerima peringkat berikut :';
   StrColorChecker:='     * Xrite ColorChecker (24 patches)';
   StrIT87Recomm:=  '     * IT8.7';
   StrGenericReferenceFi:='File referensi umum hanya tersedia untuk jenis Xrite ColorChecker dan QPcard, referensi lainnya harus tersedia pada situs web pabrik/produsen pembuatnya.';
   StrMakeSureThatYouH:='Pastikan Anda memiliki target gambar yang dimaksud dan telah ditentukan ukuran dan posisinya.';
   StrUseTheSliderToAd:='Gunakakan tombol slider untuk menyesuaikan poin warna putih. Hasil profil akan menghasilkan gambar yang sedikit terang (jika nilai di bawah 1.0) atau lebih gelap (diatas nilai 1.0).'+#13#10#10+#13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
   StrIfTheTargetImage:='Jika target gambar memiliki sebuah distorsi perspektif, centang/beri tanda kotak pada aplikasi CoCa sehingga melakukan koreksi secara otomatis.'+#13#10#10+
                                  'Default gamma is 2.2. Use gamma 1.0 for images with linear gamma (e.g. converted from RAW with linear option) .';
   StrSelectReferenceFil:='Pilih File Referensi.';
   StrGenericReferenceFil:='File referensi umum tersedia hanya untuk format Xrite ColorChecker dengan target 24-patch dan QPcard.';
   StrForAllOtherTarget:='Untuk semua target lainnya, pilih file yang sesuai target atau coba temukan file yang cocok pada situs web pembuatnya.';
   StrSelectTheCorrectT:='Pilih jenis target yang sesuai dari daftar yang tersedia. Aplikasi CoCa memerlukannya untuk membuat profil yang tepat.';
   StrThisInformationIs:='Informasi ini penting seperti yang digambarkan pada profil dan beberapa aplikasi program (seperti Photoshop) dengan menggunakannya sebagai proses identifikasi.';
   StrDifferentAlgorithms:='Nilai algoritma yang bekerja akan lebih baik untuk setiap alat yang berbeda. Nilai Gamma+Matrix akan tampak lebih baik untuk jenis kamera digital.'+#13#10#10+
                             'Pengaturan kualitas akan menghasilkan profil yang lebih baik. Proses pembuatan profil akan menghasilkan ukuran yang lebih panjang juga lebih lebar.';
   StrAccordongToArgyll:='Mengacu pada dokumentasi Argyll, kualitas gambar dengan ukuran “Ultra High” hampir tidak selalu digunakan.';

   Form1.qualList.Items.Strings[0]:='Rendah';
   Form1.qualList.Items.Strings[1]:='Menengah';
   Form1.qualList.Items.Strings[2]:='Tinggi';
   Form1.qualList.Items.Strings[3]:='Sangat Tinggi';

   StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';


   if FileExists(pth+'help\coca_in.html') then
    help_file:=pth+'help\coca_in.html'
     else
      help_file:=pth+'help\coca.html';

   end;

 7: begin //SPANISH
   Form2Title:='Previsualización CoCa';
   StrErrorOpeningTheIm:='Ha ocurrido un error al abrir la imagen.';
   StrDownloadCompleted:='Descarga completada. Pulse OK para comenzar la instalación.';
   StrAnErrorHasOccurre:='Ha ocurrido un error durante la actualización. Posibles razones:';
   Str1NoInternetConn:='  1. La conexión a Internet se ha perdido o no existe.';
   Str2UpdateFileNot:='  2. No se encuentra el archivo de actualización';
   Str3UserAbortedUpg:='  3. Ha abortado la actualización.';
   StrNoUpgradeAvailable:='No hay actualizaciones disponibles.';
   StrDownloadProgress:='Progreso de la descarga: ';
   StrDone:='% completado...';
   StrPleaseSelectValid:='Por favor, seleccione una imagen válida de la carta de color.';
   StrPleaseSelectRefere:='Por favor, seleccione el archivo de referencia.';
   StrICCProfileFile:='Archivo del perfil ICC (*.icm)|*.icm';
   StrSaveProfile:='Guardar perfil';
   StrICCProfileSavedTo:='Perfil ICC guardado en:';
   StrERRORExtractingRGB:='ERROR extrayendo los valores RGB. Imposible continuar. Compruebe que ha elegido el tipo de carta correctamente.';
   StrERRORPleaseMakeS:='ERROR! Por favor, asegúrese de que tiene permiso para procesar la imagen en la carpeta actual. Compruebe que la carpeta no tiene atributos de “solo lectura”.';
   StrUnableToRunProgra:='No se puede ejecutar el programa.';
   StrNoImageToProcess:='No hay ninguna imagen para previsualizar.';
   StrPleaseSaveTheImag:='Por favor, guarde la imagen.';
   StrNotEnoughSpaceOn:='No hay espacio suficiente en el disco. El espacio libre es de: ';
   StrMBRequiredMinimum:='MB. Se requiere un espacio mínimo de: ';
   StrCoCaWorksWithALi:='CoCa trabaja con un numero limitado de cartas de color. Actualmente, sólo acepta las siguientes:';
   StrColorChecker:='     * X-Rite ColorChecker (24 patches)';
   StrIT87Recomm:='     * IT8.7';
   StrGenericReferenceFi:='Hay disponibles archivos de referencia genéricos para la X-Rite ColorChecker y la QPCard; otros archivos de referencia deben estar disponibles en la web de su fabricante.';
   StrMakeSureThatYouH:='Asegurese de tener la imagen de la carta elegida y de que esté correctamente recortada y posicionada.';
   StrUseTheSliderToAd:='Ajustar el Punto blanco. El perfil resultante producirá imágenes ligeramente más claras (si el valor está por encima de 1.0) o más oscuras (por debajo de 1.0)'+#13#10#10+#13#10#10+
                         'Use to adjust dark areas (-V demphasis. 1.00 means off).';
   StrIfTheTargetImage:='Si la imagen de la carta sufre distorsión de la perspectiva, active la casilla para que CoCa pueda intentar corregirlo automáticamente.';
   StrSelectReferenceFil:='Seleccione el archivo de referencia.';
   StrGenericReferenceFil:='Los archivos de referencia genéricos sólo están disponibles para la X-Rite ColorChecker y la QPCard.';
   StrForAllOtherTarget:='Para el resto de tarjetas, cargue el archivo que venía con la carta o trate de encontrar el correspondiente en la web de su fabricante.';
   StrSelectTheCorrectT:='Seleccione el tipo de carta correcto de la lista. CoCa lo necesita para crear un perfil válido.';
   StrThisInformationIs:='Esta información es importante, porque describe el perfil y la mayoría de programas (como Photoshop) la usan para su identificación.'+#13#10#10+
                                  'Default gamma is 2.2. Use gamma 1.0 for images with linear gamma (e.g. converted from RAW with linear option) .';
   StrDifferentAlgorithms:='Cada algoritmo tiene un uso más adecuado en función del dispositivo. Gamma + Matriz parece trabajar mejor con cámaras digitales.'+#13#10#10+
                           'El ajuste “Alta calidad” produce mejores perfiles, aunque tarda más en crearlo y acaba siendo un archivo más grande.';
   StrAccordongToArgyll:='Según la documentación de Argyll, la calidad “Ultra alta” no debería de usarse nunca.';

   Form1.qualList.Items.Strings[0]:='Baja';
   Form1.qualList.Items.Strings[1]:='Media';
   Form1.qualList.Items.Strings[2]:='Alta';
   Form1.qualList.Items.Strings[3]:='Ultra alta';

   StrDarkAreas:= 'Dark Areas emphasis value outside valid parameters. Resetting back to 1.00';
  StrWPAdjust:=  'White Point value outside valid parameters. Resetting back to 1.00';


   if FileExists(pth+'help\coca_es.html') then
     help_file:=pth+'help\coca_es.html'
     else
       help_file:=pth+'help\coca.html';


end;



end;
end;

end.
